Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance
Class AbstractLabeledCheckboxPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
              org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
                  org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.AbstractLabeledCheckboxPropertySection

All Implemented Interfaces:
  ISection

    public abstract class AbstractLabeledCheckboxPropertySection

extends AbstractNotationPropertiesSection

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
`button_margin, composite, standardLabelWidth, vertical_offset`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
`disposed, eObject, eventListener, input, propertiesProvider, VALUE_CHANGED_STRING`

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`AbstractLabeledCheckboxPropertySection()`

Method Summary
`void` `createControls(Composite parent, TabbedPropertySheetPage aTabbedPropertySheetPage)`
`abstract java.lang.String` `getCommandName()`
`abstract java.lang.String` `getID()`
`abstract java.lang.String` `getNameLabel()`
`abstract java.lang.String` `getPrefixLabel()`
`void` `refresh()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
`adapt, getAllNameLabels, getLabelProvider, getSingleInput, getStandardLabelWidth, initializeControls, isCurrentSelection, unwrap`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection

`aboutToBeHidden, aboutToBeShown, addToEObjectList, createCommand, createCommand, dispose, executeAsCompositeCommand, executeAsReadAction, getEditingDomain, getEObject, getEObjectList, getEventListener, getFilter, getInput, getPrimarySelection, getStandardLabelWidth, getUpdateRequestCollapser, handleElementModifiedEvent, isDisposed, isNotifierDeleted, isReadOnly, postUpdateRequest, setEditingDomain, setEObject, setInput, update, update`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`getMinimumHeight, getPart, getSelection, getWidgetFactory, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLabeledCheckboxPropertySection

    public AbstractLabeledCheckboxPropertySection()

Method Detail

### getCommandName

    public abstract java.lang.String getCommandName()

### getPrefixLabel

    public abstract java.lang.String getPrefixLabel()

### getNameLabel

    public abstract java.lang.String getNameLabel()

### getID

    public abstract java.lang.String getID()

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ISection`
  Overrides:
    `refresh` in class `AbstractPropertySection`
  See Also:
    `org.eclipse.gmf.runtime.common.ui.properties.view.ITabbedPropertySection#refresh()`

### createControls

    public void createControls(Composite parent,
                               TabbedPropertySheetPage aTabbedPropertySheetPage)

  Specified by:
    `createControls` in interface `ISection`
  Overrides:
    `createControls` in class `AbstractNotationPropertiesSection`
  See Also:
    `org.eclipse.gmf.runtime.common.ui.properties.ISection#createControls(org.eclipse.swt.widgets.Composite, org.eclipse.gmf.runtime.common.ui.properties.TabbedPropertySheetPage)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.